Description

Hi,

i version 2.0.0 there is a typo in the Foreman-Proxy unit is missing /var in the PidFile Path, the installer fail to start the service

original unit

[Unit]

Description=Foreman Proxy

Wants=basic.target

After=basic.target network.target

[Service]

Type=forking

User=foreman-proxy

ExecStart=/usr/share/foreman-proxy/bin/smart-proxy

PIDFile=/run/foreman-proxy/foreman-proxy.pid

[Install]

 correct unit

[Unit]

Description=Foreman Proxy

Wants=basic.target

After=basic.target network.target

[Service]

Type=forking

User=foreman-proxy

ExecStart=/usr/share/foreman-proxy/bin/smart-proxy

PIDFile=/var/run/foreman-proxy/foreman-proxy.pid

History

#1 - 01/05/2015 09:27 AM - Eric Helms

- Project changed from Katello to Foreman

- Category deleted (Installer)

#2 - 01/05/2015 09:35 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Category set to Packaging

- Status changed from New to Need more information

05/20/2024 1/2



Usually on systemd OSes (i.e. EL7 and F19, which this unit file was written for), /var/run is a symlink to /run.  Can you explain how these directories

are configured for you?

# ls -ld /var/run /run

drwxr-xr-x. 31 root root 960 Jan  5 09:02 /run

lrwxrwxrwx.  1 root root   6 Aug 27 00:05 /var/run -> ../run

# cat /etc/redhat-release 

CentOS Linux release 7.0.1406 (Core) 

#3 - 01/06/2015 02:15 AM - Florian Koch

you are right, on  system installed from the dvd it is a symlink. I use a container with systemd-nspawn and have bootstrapped centos via yum,

whyever i this case there is no symlink, both are dirs.....

#4 - 01/06/2015 03:50 AM - Dominic Cleal

I think that's an EL7 bug, which is being fixed: https://bugzilla.redhat.com/show_bug.cgi?id=1130939

It was fixed in Fedora 19 too via https://bugzilla.redhat.com/show_bug.cgi?id=919374 and https://bugzilla.redhat.com/show_bug.cgi?id=975864.

(The filesystem RPM was changed to deploy them properly as symlinks, but when using yum to build the chroot, it's erroneously creating /var/run as a

directory instead of a symlink.)

#5 - 01/06/2015 02:14 PM - Florian Koch

ok, so then this can be closed, its not an forman bug, thx for the informations

#6 - 01/07/2015 03:21 AM - Dominic Cleal

- Status changed from Need more information to Rejected
